@use 'partials/variables/grid';
@use 'partials/variables/ratio';
@use 'partials/functions/calculations';
@use 'partials/mixins/card';
@use 'partials/variables/mobile-screen';
@use 'partials/classes/round-button';
@use 'partials/mixins/button-width';

$organization-header-column-count: 4;
$organization-header-size: calculations.calculateWidth(
    grid.$grid-desktop-column-width,
    grid.$grid-desktop-column-gap,
    $organization-header-column-count,
    $organization-header-column-count - 1
);
$organization-header-width: calculations.calculateRatio(
  $organization-header-size,
  grid.$grid-desktop-full-container-width,
  ratio.$percent-100
);

$organization-logo-column-count: 1;
$organization-logo-size: calculations.calculateRatio(
  calculations.calculateWidth(
    grid.$grid-desktop-column-width,
    grid.$grid-desktop-column-gap,
    $organization-logo-column-count,
    0
  ),
  $organization-header-size,
  ratio.$percent-100
);

$organization-about-column-count: 6;
$organization-about-width: calculations.calculateRatio(
  calculations.calculateWidth(
    grid.$grid-desktop-column-width,
    grid.$grid-desktop-column-gap,
    $organization-about-column-count,
    $organization-about-column-count - 1
  ),
  grid.$grid-desktop-full-container-width,
  ratio.$percent-100
);

$organization-contact-column-count: 8;
$organization-contact-width: calculations.calculateRatio(
  calculations.calculateWidth(
    grid.$grid-desktop-column-width,
    grid.$grid-desktop-column-gap,
    $organization-contact-column-count,
    $organization-contact-column-count - 1
  ),
  grid.$grid-desktop-full-container-width,
  ratio.$percent-100
);

.flex-column {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.organization-header {
  width: $organization-header-width;
  padding: 2em 0;
  row-gap: 1.2em;
}

.org-vendor-logo {
  object-fit: contain;
  border-radius: 50%;
  aspect-ratio: 1/1;
  width: 100px;
}

.padding {
  padding: 1rem;
}

.comma{
  display: flex;
  flex-wrap: wrap;
}

.comma-item{
  flex-wrap: nowrap;
  display: flex;
  flex-shrink: 0;
}


.organization-join-button {
  justify-content: center;
}

.organization-join-button .mat-mdc-button-base {
  justify-content: center;
}

h1 {
  text-align: center;
}

.members {
  color: #777;
}

.about-container {
  width: $organization-about-width;
}

.contact-header-container {
  width: $organization-contact-width;
  padding: 0.5em 0;
}

.contact-header-container > h2 {
  margin: 0;
}

.contact-info-container {
  width: $organization-contact-width;
  display: grid;
  grid-template-columns: 25% 25% 25%;
  grid-column-gap: 12.5%;
  grid-row-gap: 1em;
  padding: 3em 0;
}

p {
  white-space: pre-line;
}

@media only screen and (max-width: mobile-screen.$max-mobile-width) {
  $organization-mobile-logo-column-count: 2;
  $organization-mobile-logo-size: calc(
    #{calculations.calculateWidth(
      grid.$grid-mobile-column-width,
      grid.$grid-mobile-column-gap,
      $organization-mobile-logo-column-count,
      0
    )}
    * 1px
  );

  $organization-mobile-contact-detail-width: calc(#{grid.$grid-mobile-full-container-width} * 1px / 2);

  .organization-header {
    width: ratio.$percent-100;
  }

  .about-container {
    width: ratio.$percent-100;
    line-height: mobile-screen.$mobile-line-width;
  }

  .contact-header-container {
    width: ratio.$percent-100;
  }

  .contact-info-container {
    width: ratio.$percent-100;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    row-gap: 2em;
    :nth-child(n) {
      width: $organization-mobile-contact-detail-width;
      margin: 0 auto;
    }
  }
}
